﻿#include "mainwindow.h"
#include "ui_mainwindow.h"
#include <QTimer>

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent)
    , ui(new Ui::MainWindow)
{
        ui->setupUi(this);
        ui->lineEdit_2->setDisabled(true);
        connect(ui->checkBox  , &QCheckBox::clicked, this, &MainWindow::toggleCheckbox);
        connect(ui->checkBox_2, &QCheckBox::clicked, this, &MainWindow::toggleCheckbox);
}

MainWindow::~MainWindow()
{
        delete ui;
}

void MainWindow::toggleCheckbox()
{
        QCheckBox *checkbox = qobject_cast<QCheckBox*>(sender());
        if (checkbox == nullptr) {
                return;
        }
        if (checkbox == ui->checkBox) {
                ui->lineEdit->setEnabled(checkbox->isChecked());
        } else if (checkbox == ui->checkBox_2) {
                ui->lineEdit_2->setEnabled(checkbox->isChecked());
        }
}
